Exception::__construct
Exception::getCode
Exception
PHP Manual

# Exception::getMessage

(PHP 5 >= 5.1.0)

Exception::getMessage — Gets the Exception message

### Description

final public string Exception::getMessage ( void )

Returns the Exception message.

### Parameters

This function has no parameters.

### Return Values

Returns the Exception message as a string.

### Examples

Example #1 Exception::getMessage() example

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo $e->getMessage();
}
?>`

The above example will output something similar to:

    Some error message

Exception::__construct
Exception::getCode
Exception
PHP Manual